#
# spec file for package tree-sitter-java
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define         _name java
Name:           tree-sitter-java
Version:        0.23.5
Release:        1.1
Summary:        Java grammar for tree-sitter
License:        MIT
URL:            https://github.com/tree-sitter/tree-sitter-java
Source0:        %{url}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  tree-sitter
%treesitter_grammars %{_name}

%description
%{summary}.

%prep
%autosetup

%build
%treesitter_configure
%treesitter_build

%install
%treesitter_install
%treesitter_devel_install

#neovim stuff
install -d %{buildroot}%{_libdir}/tree_sitter
ln -s %{_libdir}/lib%{name}.so %{buildroot}%{_libdir}/tree_sitter/%{_name}.so

%files
%license LICENSE
%treesitter_files
%{_libdir}/tree_sitter/%{_name}.so
%if 0%{?suse_version} < 1600
%dir %{_libdir}/tree_sitter
%endif

%treesitter_devel_package

%changelog
* Tue Dec 31 2024 Richard Rahl <rrahl0@opensuse.org>
- udate to 0.23.5:
  * feat(highlights): add more keywords
  * fix: give yield in _reserved_identifier a precedence of 0
  * fix: allow annotations after the ellipsis in a spread parameter
  * fix: correct floating point literal parsing
  * feat: allow reserved identifiers in element_value_pair
  * chore: generate
* Wed Dec  4 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 0.23.4:
  * irrelevant changes to openSUSE
- update to 0.23.3:
  * build: update bindings
  * fix: remove comment from supertypes
  * chore: regenerate
  * build: update bindings
  * build: set minimum Go version to 1.22
- update to 0.23.0:
  * chore: generate
- switch to download_files service
- add neovim links
- enable devel package
* Mon Apr 29 2024 Björn Bidar <bjorn.bidar@thaodan.de>
- Remove 0001-fix-unescaped-curly-brace-in-regex-and-invert-query-.patch
  that was cherry picked from master, it is now included in the
  current update below.
- Update to version 0.21.0:
  * fix: tweak escape sequence and identifier rules
  * refactor: remove condition rule
  * fix(test): remove leading space
  * fix: unescaped curly brace in regex and invert query precedence for test
* Fri Mar 22 2024 Björn Bidar <bjorn.bidar@thaodan.de>
- Add patch from 0001-fix-unescaped-curly-brace-in-regex-and-invert-query-.patch
  master branch to fix build against tree-sitter 0.22.x
* Mon Feb 26 2024 Björn Bidar <bjorn.bidar@thaodan.de>
- Initial packaging for openSUSE
- Update to version 0.20.2:
  * Update workflow to publish crate, NPM package, and create GitHub release
  * chore: generate
  * fix: allow semicolons in annotation_type_declaration
  * fix: double-backslash escapes
  * fix: escaped quote immediately before triple quote
  * fix: annotations following type arguments
  * fix: a receiver parameter can be followed by more parameters
